Skip to content

Add members to a department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Add members to a department by department ID and organization code.

Method name

ManagementClient.add_department_members

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
userIdsstring[]yes-User ID list["623c20b2a062aaaaf41b17da"]
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
departmentIdTypestringnodepartment_idThe type of department ID used in this calldepartment_id
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

IsSuccessDto

NameTypeIs this field required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.